Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network248.0.0.0/5
Usable hosts134,217,726
Subnet mask248.0.0.0
Addresses134,217,728
Network address
248.0.0.0
Broadcast address
255.255.255.255
First usable
248.0.0.1
Last usable
255.255.255.254
Usable hosts
134,217,726 (134,217,728 less the network and broadcast addresses)
Subnet mask
248.0.0.0
Wildcard mask
7.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/5
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F8000000 · Integer 4160749568 to 4294967295
Reverse DNS zones
248.in-addr.arpa
249.in-addr.arpa
250.in-addr.arpa
251.in-addr.arpa
252.in-addr.arpa
253.in-addr.arpa
254.in-addr.arpa
255.in-addr.arpa
/5 is not on a 8-bit boundary, so it takes 8 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11111000.00000000.00000000.00000000248.0.0.0
Subnet mask11111000.00000000.00000000.00000000248.0.0.0
Network11111000.00000000.00000000.00000000248.0.0.0
Broadcast11111111.11111111.11111111.11111111255.255.255.255
Split into smaller subnets/12

248.0.0.0/5 makes 128 subnets of /12.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1248.0.0.0/12248.0.0.1 to 248.15.255.254248.15.255.2551,048,574
2248.16.0.0/12248.16.0.1 to 248.31.255.254248.31.255.2551,048,574
3248.32.0.0/12248.32.0.1 to 248.47.255.254248.47.255.2551,048,574
4248.48.0.0/12248.48.0.1 to 248.63.255.254248.63.255.2551,048,574
5248.64.0.0/12248.64.0.1 to 248.79.255.254248.79.255.2551,048,574
6248.80.0.0/12248.80.0.1 to 248.95.255.254248.95.255.2551,048,574
7248.96.0.0/12248.96.0.1 to 248.111.255.254248.111.255.2551,048,574
8248.112.0.0/12248.112.0.1 to 248.127.255.254248.127.255.2551,048,574
9248.128.0.0/12248.128.0.1 to 248.143.255.254248.143.255.2551,048,574
10248.144.0.0/12248.144.0.1 to 248.159.255.254248.159.255.2551,048,574
11248.160.0.0/12248.160.0.1 to 248.175.255.254248.175.255.2551,048,574
12248.176.0.0/12248.176.0.1 to 248.191.255.254248.191.255.2551,048,574
13248.192.0.0/12248.192.0.1 to 248.207.255.254248.207.255.2551,048,574
14248.208.0.0/12248.208.0.1 to 248.223.255.254248.223.255.2551,048,574
15248.224.0.0/12248.224.0.1 to 248.239.255.254248.239.255.2551,048,574
16248.240.0.0/12248.240.0.1 to 248.255.255.254248.255.255.2551,048,574
17249.0.0.0/12249.0.0.1 to 249.15.255.254249.15.255.2551,048,574
18249.16.0.0/12249.16.0.1 to 249.31.255.254249.31.255.2551,048,574
19249.32.0.0/12249.32.0.1 to 249.47.255.254249.47.255.2551,048,574
20249.48.0.0/12249.48.0.1 to 249.63.255.254249.63.255.2551,048,574
21249.64.0.0/12249.64.0.1 to 249.79.255.254249.79.255.2551,048,574
22249.80.0.0/12249.80.0.1 to 249.95.255.254249.95.255.2551,048,574
23249.96.0.0/12249.96.0.1 to 249.111.255.254249.111.255.2551,048,574
24249.112.0.0/12249.112.0.1 to 249.127.255.254249.127.255.2551,048,574
25249.128.0.0/12249.128.0.1 to 249.143.255.254249.143.255.2551,048,574
26249.144.0.0/12249.144.0.1 to 249.159.255.254249.159.255.2551,048,574
27249.160.0.0/12249.160.0.1 to 249.175.255.254249.175.255.2551,048,574
28249.176.0.0/12249.176.0.1 to 249.191.255.254249.191.255.2551,048,574
29249.192.0.0/12249.192.0.1 to 249.207.255.254249.207.255.2551,048,574
30249.208.0.0/12249.208.0.1 to 249.223.255.254249.223.255.2551,048,574
31249.224.0.0/12249.224.0.1 to 249.239.255.254249.239.255.2551,048,574
32249.240.0.0/12249.240.0.1 to 249.255.255.254249.255.255.2551,048,574
33250.0.0.0/12250.0.0.1 to 250.15.255.254250.15.255.2551,048,574
34250.16.0.0/12250.16.0.1 to 250.31.255.254250.31.255.2551,048,574
35250.32.0.0/12250.32.0.1 to 250.47.255.254250.47.255.2551,048,574
36250.48.0.0/12250.48.0.1 to 250.63.255.254250.63.255.2551,048,574
37250.64.0.0/12250.64.0.1 to 250.79.255.254250.79.255.2551,048,574
38250.80.0.0/12250.80.0.1 to 250.95.255.254250.95.255.2551,048,574
39250.96.0.0/12250.96.0.1 to 250.111.255.254250.111.255.2551,048,574
40250.112.0.0/12250.112.0.1 to 250.127.255.254250.127.255.2551,048,574
41250.128.0.0/12250.128.0.1 to 250.143.255.254250.143.255.2551,048,574
42250.144.0.0/12250.144.0.1 to 250.159.255.254250.159.255.2551,048,574
43250.160.0.0/12250.160.0.1 to 250.175.255.254250.175.255.2551,048,574
44250.176.0.0/12250.176.0.1 to 250.191.255.254250.191.255.2551,048,574
45250.192.0.0/12250.192.0.1 to 250.207.255.254250.207.255.2551,048,574
46250.208.0.0/12250.208.0.1 to 250.223.255.254250.223.255.2551,048,574
47250.224.0.0/12250.224.0.1 to 250.239.255.254250.239.255.2551,048,574
48250.240.0.0/12250.240.0.1 to 250.255.255.254250.255.255.2551,048,574
49251.0.0.0/12251.0.0.1 to 251.15.255.254251.15.255.2551,048,574
50251.16.0.0/12251.16.0.1 to 251.31.255.254251.31.255.2551,048,574
51251.32.0.0/12251.32.0.1 to 251.47.255.254251.47.255.2551,048,574
52251.48.0.0/12251.48.0.1 to 251.63.255.254251.63.255.2551,048,574
53251.64.0.0/12251.64.0.1 to 251.79.255.254251.79.255.2551,048,574
54251.80.0.0/12251.80.0.1 to 251.95.255.254251.95.255.2551,048,574
55251.96.0.0/12251.96.0.1 to 251.111.255.254251.111.255.2551,048,574
56251.112.0.0/12251.112.0.1 to 251.127.255.254251.127.255.2551,048,574
57251.128.0.0/12251.128.0.1 to 251.143.255.254251.143.255.2551,048,574
58251.144.0.0/12251.144.0.1 to 251.159.255.254251.159.255.2551,048,574
59251.160.0.0/12251.160.0.1 to 251.175.255.254251.175.255.2551,048,574
60251.176.0.0/12251.176.0.1 to 251.191.255.254251.191.255.2551,048,574
61251.192.0.0/12251.192.0.1 to 251.207.255.254251.207.255.2551,048,574
62251.208.0.0/12251.208.0.1 to 251.223.255.254251.223.255.2551,048,574
63251.224.0.0/12251.224.0.1 to 251.239.255.254251.239.255.2551,048,574
64251.240.0.0/12251.240.0.1 to 251.255.255.254251.255.255.2551,048,574
65252.0.0.0/12252.0.0.1 to 252.15.255.254252.15.255.2551,048,574
66252.16.0.0/12252.16.0.1 to 252.31.255.254252.31.255.2551,048,574
67252.32.0.0/12252.32.0.1 to 252.47.255.254252.47.255.2551,048,574
68252.48.0.0/12252.48.0.1 to 252.63.255.254252.63.255.2551,048,574
69252.64.0.0/12252.64.0.1 to 252.79.255.254252.79.255.2551,048,574
70252.80.0.0/12252.80.0.1 to 252.95.255.254252.95.255.2551,048,574
71252.96.0.0/12252.96.0.1 to 252.111.255.254252.111.255.2551,048,574
72252.112.0.0/12252.112.0.1 to 252.127.255.254252.127.255.2551,048,574
73252.128.0.0/12252.128.0.1 to 252.143.255.254252.143.255.2551,048,574
74252.144.0.0/12252.144.0.1 to 252.159.255.254252.159.255.2551,048,574
75252.160.0.0/12252.160.0.1 to 252.175.255.254252.175.255.2551,048,574
76252.176.0.0/12252.176.0.1 to 252.191.255.254252.191.255.2551,048,574
77252.192.0.0/12252.192.0.1 to 252.207.255.254252.207.255.2551,048,574
78252.208.0.0/12252.208.0.1 to 252.223.255.254252.223.255.2551,048,574
79252.224.0.0/12252.224.0.1 to 252.239.255.254252.239.255.2551,048,574
80252.240.0.0/12252.240.0.1 to 252.255.255.254252.255.255.2551,048,574
81253.0.0.0/12253.0.0.1 to 253.15.255.254253.15.255.2551,048,574
82253.16.0.0/12253.16.0.1 to 253.31.255.254253.31.255.2551,048,574
83253.32.0.0/12253.32.0.1 to 253.47.255.254253.47.255.2551,048,574
84253.48.0.0/12253.48.0.1 to 253.63.255.254253.63.255.2551,048,574
85253.64.0.0/12253.64.0.1 to 253.79.255.254253.79.255.2551,048,574
86253.80.0.0/12253.80.0.1 to 253.95.255.254253.95.255.2551,048,574
87253.96.0.0/12253.96.0.1 to 253.111.255.254253.111.255.2551,048,574
88253.112.0.0/12253.112.0.1 to 253.127.255.254253.127.255.2551,048,574
89253.128.0.0/12253.128.0.1 to 253.143.255.254253.143.255.2551,048,574
90253.144.0.0/12253.144.0.1 to 253.159.255.254253.159.255.2551,048,574
91253.160.0.0/12253.160.0.1 to 253.175.255.254253.175.255.2551,048,574
92253.176.0.0/12253.176.0.1 to 253.191.255.254253.191.255.2551,048,574
93253.192.0.0/12253.192.0.1 to 253.207.255.254253.207.255.2551,048,574
94253.208.0.0/12253.208.0.1 to 253.223.255.254253.223.255.2551,048,574
95253.224.0.0/12253.224.0.1 to 253.239.255.254253.239.255.2551,048,574
96253.240.0.0/12253.240.0.1 to 253.255.255.254253.255.255.2551,048,574
97254.0.0.0/12254.0.0.1 to 254.15.255.254254.15.255.2551,048,574
98254.16.0.0/12254.16.0.1 to 254.31.255.254254.31.255.2551,048,574
99254.32.0.0/12254.32.0.1 to 254.47.255.254254.47.255.2551,048,574
100254.48.0.0/12254.48.0.1 to 254.63.255.254254.63.255.2551,048,574
101254.64.0.0/12254.64.0.1 to 254.79.255.254254.79.255.2551,048,574
102254.80.0.0/12254.80.0.1 to 254.95.255.254254.95.255.2551,048,574
103254.96.0.0/12254.96.0.1 to 254.111.255.254254.111.255.2551,048,574
104254.112.0.0/12254.112.0.1 to 254.127.255.254254.127.255.2551,048,574
105254.128.0.0/12254.128.0.1 to 254.143.255.254254.143.255.2551,048,574
106254.144.0.0/12254.144.0.1 to 254.159.255.254254.159.255.2551,048,574
107254.160.0.0/12254.160.0.1 to 254.175.255.254254.175.255.2551,048,574
108254.176.0.0/12254.176.0.1 to 254.191.255.254254.191.255.2551,048,574
109254.192.0.0/12254.192.0.1 to 254.207.255.254254.207.255.2551,048,574
110254.208.0.0/12254.208.0.1 to 254.223.255.254254.223.255.2551,048,574
111254.224.0.0/12254.224.0.1 to 254.239.255.254254.239.255.2551,048,574
112254.240.0.0/12254.240.0.1 to 254.255.255.254254.255.255.2551,048,574
113255.0.0.0/12255.0.0.1 to 255.15.255.254255.15.255.2551,048,574
114255.16.0.0/12255.16.0.1 to 255.31.255.254255.31.255.2551,048,574
115255.32.0.0/12255.32.0.1 to 255.47.255.254255.47.255.2551,048,574
116255.48.0.0/12255.48.0.1 to 255.63.255.254255.63.255.2551,048,574
117255.64.0.0/12255.64.0.1 to 255.79.255.254255.79.255.2551,048,574
118255.80.0.0/12255.80.0.1 to 255.95.255.254255.95.255.2551,048,574
119255.96.0.0/12255.96.0.1 to 255.111.255.254255.111.255.2551,048,574
120255.112.0.0/12255.112.0.1 to 255.127.255.254255.127.255.2551,048,574
121255.128.0.0/12255.128.0.1 to 255.143.255.254255.143.255.2551,048,574
122255.144.0.0/12255.144.0.1 to 255.159.255.254255.159.255.2551,048,574
123255.160.0.0/12255.160.0.1 to 255.175.255.254255.175.255.2551,048,574
124255.176.0.0/12255.176.0.1 to 255.191.255.254255.191.255.2551,048,574
125255.192.0.0/12255.192.0.1 to 255.207.255.254255.207.255.2551,048,574
126255.208.0.0/12255.208.0.1 to 255.223.255.254255.223.255.2551,048,574
127255.224.0.0/12255.224.0.1 to 255.239.255.254255.239.255.2551,048,574
128255.240.0.0/12255.240.0.1 to 255.255.255.254255.255.255.2551,048,574

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses